#include <bits/stdc++.h>
using namespace std;
char a[500][500];
int main()
{
   int a,b;
   cin >> a >> b;
   for(int i=1;i<=a;i++)
   {
       for(int j=1;j<=b;j++)cin >> a[i][j];
   }
   cout << -1;

    return 0;
}